Subject: Re: Execute permission not set when creating files
From: "John Cooper" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 29 Oct 2008 20:10:55 -0000
List-Id: <cygwin.cygwin.com>

Matthew Woehlke wrote:
  > Does adding a+x really fix the problem? If so that seems... surprising.

Also surprising is that the problem no longer occurs today. When I create a
file using `ls > b.txt', I *can* now read it on my wife's desktop (and it
just has the default permissions -rw-r--r--).

So all is working as expected, I guess. I'm not sure why I had the problem
yesterday - I wonder if it's related to the fact that I installed the
updated Cygwin on my desktop and hadn't rebooted before switching to my
wife's desktop and finding the problem.

Anyway, thanks to all who responded for the ideas and assistance.

John.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/